Subject: Re: bug#16481: dfa.c and Rational Range Interpretation

From: Jim Meyering <[email-masked]>
Date: Sun, 16 Feb 2014 20:44:53 -0800

On Tue, Feb 11, 2014 at 1:44 PM, Paolo Bonzini <[email-masked]> wrote:
> Il 11/02/2014 22:42, Paul Eggert ha scritto:
>
>> Ouch, I wasn't aware of this.  Clearly the patch I put in was wrong --
>> at least for the documentation that got put into NEWS.
>
>
> Yeah, sorry for not spelling it out entirely.  I worked on grep in bursts,
> and as a result I tend to take too many things for granted.
>
>
>> Perhaps you're right, and the best thing to do for now is to revert the
>> patch while we can think about a better solution. This should be done
>> soon, since Jim wants to do a grep release. Please let me think about it
>> for a day or two.  I would like to fix the bug, anyway, even if that
>> patch wasn't the right way to do it.  Longer term, it'd be better to
>> simplify the code (perhaps along the lines that you suggested) as it's
>> too full of gotchas now.
>
>
> I 100% agree with this.  If I don't hear from you I'll revert the patch next
> Friday.

Hi guys,

I confess that I do not feel strongly about this corner case, but
do want to make a release very soon.  Paolo, Paul, where do you stand?

I would like to make the release by Monday evening.